diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.module b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.module
index 71e925e0..a020e8b6 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.module
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.module
@@ -17,7 +17,8 @@ define('LDAP_TEST_QUERY_CONTEXT', 999);
 define('LDAP_SERVERS_PROJECT_TAG', 'ldap');
 define('LDAP_SERVERS_MENU_BASE_PATH', 'admin/config/people/ldap');
 define('LDAP_SERVERS_INDEX_BASE_PATH', 'admin/config/people/ldap/servers');
-define('LDAP_SERVERS_MENU_BASE_PATH_PARTS', 4); // for argument offsets
+// For argument offsets.
+define('LDAP_SERVERS_MENU_BASE_PATH_PARTS', 4);
 define('LDAP_SERVERS_DRUPAL_HELP_URL', 'http://drupal.org/node/997082');
 
 define('LDAP_SERVERS_TOKEN_PRE', '[');
@@ -25,18 +26,9 @@ define('LDAP_SERVERS_TOKEN_POST', ']');
 define('LDAP_SERVERS_TOKEN_DEL', ':');
 define('LDAP_SERVERS_TOKEN_MODIFIER_DEL', ';');
 
-define('LDAP_SERVERS_ENC_TYPE_MD5', 1);
-define('LDAP_SERVERS_ENC_TYPE_CRYPT', 2);
-define('LDAP_SERVERS_ENC_TYPE_SALTED_CRYPT', 3);
-define('LDAP_SERVERS_ENC_TYPE_EXTENDED_DES', 4);
-define('LDAP_SERVERS_ENC_TYPE_MD5C', 5);
-define('LDAP_SERVERS_ENC_TYPE_BLOWFISH', 6);
-define('LDAP_SERVERS_ENC_TYPE_SALTED_MD5', 7);
-define('LDAP_SERVERS_ENC_TYPE_SHA', 8);
-define('LDAP_SERVERS_ENC_TYPE_SALTED_SHA', 9);
 define('LDAP_SERVERS_ENC_TYPE_CLEARTEXT', 10);
-
-define('LDAP_SERVERS_CYPHER_MODE', 'cfb');
+define('LDAP_SERVERS_ENC_TYPE_OPENSSL', 20);
+define('LDAP_SERVERS_CYPHER_MODE', 'aes-256-cbc');
 
 define('LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT', 1);
 define('LDAP_SERVERS_BIND_METHOD_USER', 2);
@@ -48,18 +40,28 @@ define('LDAP_SERVERS_DERIVE_GROUP_FROM_DN', 1);
 define('LDAP_SERVERS_DERIVE_GROUP_FROM_ATTRIBUTE', 2);
 define('LDAP_SERVERS_DERIVE_GROUP_FROM_ENTRY', 4);
 
-define('LDAP_SERVER_MASSAGE_DISPLAY', 1); //  ... value is being displayed in UI
-define('LDAP_SERVER_MASSAGE_TOKEN_REPLACE', 2); // ... value is about to be used to generate token (e.g. [...] to be replaced
-
-define('LDAP_SERVER_MASSAGE_QUERY_LDAP', 5); //  ...value is about to be used in ldap query
-define('LDAP_SERVER_MASSAGE_QUERY_DB', 6); //  ...value is about to be in an sql query
-define('LDAP_SERVER_MASSAGE_QUERY_ARRAY', 7); //  ...value is about to be found in array values
-define('LDAP_SERVER_MASSAGE_QUERY_PROPERTY', 8); //  ...value is about to be found in object property values
-
-define('LDAP_SERVER_MASSAGE_STORE_LDAP', 13); // ...value is about to be stored in ldap entry
-define('LDAP_SERVER_MASSAGE_STORE_DB', 14); // ...value is about to be stored in db
-define('LDAP_SERVER_MASSAGE_STORE_ARRAY', 15); // ...value is about to be stored in array
-define('LDAP_SERVER_MASSAGE_STORE_PROPERTY', 16); // ...value is about to be stored in object property
+// ... value is being displayed in UI.
+define('LDAP_SERVER_MASSAGE_DISPLAY', 1);
+// ... value is about to be used to generate token (e.g. [...] to be replaced.
+define('LDAP_SERVER_MASSAGE_TOKEN_REPLACE', 2);
+
+// ...value is about to be used in ldap query.
+define('LDAP_SERVER_MASSAGE_QUERY_LDAP', 5);
+// ...value is about to be in an sql query.
+define('LDAP_SERVER_MASSAGE_QUERY_DB', 6);
+// ...value is about to be found in array values.
+define('LDAP_SERVER_MASSAGE_QUERY_ARRAY', 7);
+// ...value is about to be found in object property values.
+define('LDAP_SERVER_MASSAGE_QUERY_PROPERTY', 8);
+
+// ...value is about to be stored in ldap entry.
+define('LDAP_SERVER_MASSAGE_STORE_LDAP', 13);
+// ...value is about to be stored in db.
+define('LDAP_SERVER_MASSAGE_STORE_DB', 14);
+// ...value is about to be stored in array.
+define('LDAP_SERVER_MASSAGE_STORE_ARRAY', 15);
+// ...value is about to be stored in object property.
+define('LDAP_SERVER_MASSAGE_STORE_PROPERTY', 16);
 
 define('LDAP_SERVER_GROUPS_RECURSE_DEPTH', 20);
 
@@ -74,10 +76,11 @@ define('LDAP_COMPARE_FALSE', 0x05);
 define('LDAP_COMPARE_TRUE', 0x06);
 define('LDAP_AUTH_METHOD_NOT_SUPPORTED', 0x07);
 define('LDAP_STRONG_AUTH_REQUIRED', 0x08);
-//NotusedinLDAPv3);
+
+// Not used in LDAPv3.
 define('LDAP_PARTIAL_RESULTS', 0x09);
 
-//Next5newinLDAPv3);
+// Next 5 new in LDAPv3.
 define('LDAP_REFERRAL', 0x0a);
 define('LDAP_ADMINLIMIT_EXCEEDED', 0x0b);
 define('LDAP_UNAVAILABLE_CRITICAL_EXTENSION', 0x0c);
@@ -97,8 +100,9 @@ define('LDAP_INVALID_DN_SYNTAX', 0x22);
 
 define('LDAP_IS_LEAF', 0x23);
 define('LDAP_ALIAS_DEREF_PROBLEM', 0x24);
-if ( ! defined('LDAP_DEREF_NEVER') )
+if (!defined('LDAP_DEREF_NEVER')) {
   define('LDAP_DEREF_NEVER', 0x25);
+}
 
 define('LDAP_INAPPROPRIATE_AUTH', 0x30);
 define('LDAP_INVALID_CREDENTIALS', 0x31);
@@ -118,11 +122,12 @@ define('LDAP_NOT_ALLOWED_ON_RDN', 0x43);
 define('LDAP_ALREADY_EXISTS', 0x44);
 define('LDAP_NO_OBJECT_CLASS_MODS', 0x45);
 define('LDAP_RESULTS_TOO_LARGE', 0x46);
-//NexttwoforLDAPv3);
+
+// Next two for LDAPv3.
 define('LDAP_AFFECTS_MULTIPLE_DSAS', 0x47);
 define('LDAP_OTHER', 0x50);
 
-//UsedbysomeAPIs);
+// Used by someAPIs.
 define('LDAP_SERVER_DOWN', 0x51);
 define('LDAP_LOCAL_ERROR', 0x52);
 define('LDAP_ENCODING_ERROR', 0x53);
@@ -134,7 +139,7 @@ define('LDAP_USER_CANCELLED', 0x58);
 define('LDAP_PARAM_ERROR', 0x59);
 define('LDAP_NO_MEMORY', 0x5a);
 
-//PreliminaryLDAPv3codes);
+// PreliminaryLDAPv3 codes.
 define('LDAP_CONNECT_ERROR', 0x5b);
 define('LDAP_NOT_SUPPORTED', 0x5c);
 define('LDAP_CONTROL_NOT_FOUND', 0x5d);
@@ -156,235 +161,239 @@ function ldap_servers_init() {
 }
 
 /**
- * Advertise the current ldap api version
+ * Advertise the current ldap api version.
  */
 function ldap_api_version() {
   return '2.0';
 }
 
+/**
+ *
+ */
 function ldap_servers_menu() {
   $menu_offset = 4;
 
-  $items['admin/config/people/ldap'] = array(
+  $items['admin/config/people/ldap'] = [
     'title' => 'LDAP Configuration',
     'description' => 'LDAP authentication, authorization, provisioning, etc.',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_servers_settings'),
-    'access arguments' => array('administer site configuration'),
+    'page arguments' => ['ldap_servers_settings'],
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_servers.settings.inc',
-  );
+  ];
 
-  $items['admin/config/people/ldap/settings'] = array(
+  $items['admin/config/people/ldap/settings'] = [
     'title' => '1. Settings',
     'weight' => -2,
     'type' => MENU_DEFAULT_LOCAL_TASK,
-  );
+  ];
 
-  $items['admin/config/people/ldap/servers'] = array(
+  $items['admin/config/people/ldap/servers'] = [
     'title' => '2. Servers',
     'page callback' => 'ldap_servers_edit_index',
     'weight' => -1,
     'type' => MENU_LOCAL_TASK,
-    'access arguments' => array('administer site configuration'),
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_servers.admin.inc',
-  );
+  ];
 
-  $items['admin/config/people/ldap/servers/list'] = array(
+  $items['admin/config/people/ldap/servers/list'] = [
     'title' => 'List',
     'type' => MENU_DEFAULT_LOCAL_TASK,
-  );
+  ];
 
-  $items['admin/config/people/ldap/servers/add'] = array(
+  $items['admin/config/people/ldap/servers/add'] = [
     'title' => 'Add LDAP Server Configuration',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_servers_admin_form', 'add'),
+    'page arguments' => ['ldap_servers_admin_form', 'add'],
     'type' => MENU_LOCAL_TASK + MENU_CONTEXT_INLINE,
     'weight' => 3,
-    'access arguments' => array('administer site configuration'),
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_servers.admin.inc',
-  );
+  ];
 
-  $items['admin/config/people/ldap/servers/edit/%'] = array(
+  $items['admin/config/people/ldap/servers/edit/%'] = [
     'title' => 'Edit LDAP Server Configuration',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_servers_admin_form', 'edit', $menu_offset + 2),
-    'access arguments' => array('administer site configuration'),
+    'page arguments' => ['ldap_servers_admin_form', 'edit', $menu_offset + 2],
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_servers.admin.inc',
-  );
+  ];
 
-  $items['admin/config/people/ldap/servers/test/%'] = array(
+  $items['admin/config/people/ldap/servers/test/%'] = [
     'title' => 'Test LDAP Server Configuration',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_servers_test_form', $menu_offset + 1, $menu_offset + 2),
-    'access arguments' => array('administer site configuration'),
+    'page arguments' => ['ldap_servers_test_form', $menu_offset + 1, $menu_offset + 2],
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_servers.test_form.inc',
-  );
+  ];
 
-  $items['admin/config/people/ldap/servers/delete/%'] = array(
+  $items['admin/config/people/ldap/servers/delete/%'] = [
     'title' => 'Delete LDAP Server',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_servers_admin_delete', $menu_offset + 1, $menu_offset + 2),
-    'access arguments' => array('administer site configuration'),
+    'page arguments' => ['ldap_servers_admin_delete', $menu_offset + 1, $menu_offset + 2],
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_servers.admin.inc',
-  );
+  ];
 
-  $items['admin/config/people/ldap/servers/enable/%'] = array(
+  $items['admin/config/people/ldap/servers/enable/%'] = [
     'title' => 'Enable LDAP Server',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_servers_admin_enable_disable', $menu_offset + 1, $menu_offset + 2),
-    'access arguments' => array('administer site configuration'),
+    'page arguments' => ['ldap_servers_admin_enable_disable', $menu_offset + 1, $menu_offset + 2],
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_servers.admin.inc',
-  );
+  ];
 
-  $items['admin/config/people/ldap/servers/disable/%'] = array(
+  $items['admin/config/people/ldap/servers/disable/%'] = [
     'title' => 'Enable LDAP Server',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_servers_admin_enable_disable', $menu_offset + 1, $menu_offset + 2),
-    'access arguments' => array('administer site configuration'),
+    'page arguments' => ['ldap_servers_admin_enable_disable', $menu_offset + 1, $menu_offset + 2],
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_servers.admin.inc',
-  );
+  ];
 
   return $items;
 }
 
-
 /**
  * Implements hook_theme().
  */
 function ldap_servers_theme() {
-  return array(
-    'ldap_servers_list' => array(
-      'variables' => array('ldap_servers' => NULL, 'actions' => TRUE, 'type' => 'table'),
+  return [
+    'ldap_servers_list' => [
+      'variables' => ['ldap_servers' => NULL, 'actions' => TRUE, 'type' => 'table'],
       'render element' => 'element',
-      'file' => 'ldap_servers.theme.inc'
-    ),
-    'ldap_servers_server' => array(
-      'variables' => array('ldap_server' => NULL, 'actions' => FALSE, 'type' => 'detail'),
+      'file' => 'ldap_servers.theme.inc',
+    ],
+    'ldap_servers_server' => [
+      'variables' => ['ldap_server' => NULL, 'actions' => FALSE, 'type' => 'detail'],
       'render element' => 'element',
-      'file' => 'ldap_servers.theme.inc'
-    ),
-    'ldap_server_token_table' => array(
-      'variables' => array('tokens' => array()),
+      'file' => 'ldap_servers.theme.inc',
+    ],
+    'ldap_server_token_table' => [
+      'variables' => ['tokens' => []],
       'render element' => 'element',
-      'file' => 'ldap_servers.theme.inc'
-    ),
-    'ldap_server_ldap_entry_table' => array(
-      'variables' => array('entry' => array()),
+      'file' => 'ldap_servers.theme.inc',
+    ],
+    'ldap_server_ldap_entry_table' => [
+      'variables' => ['entry' => []],
       'render element' => 'element',
-      'file' => 'ldap_servers.theme.inc'
-    ),
-  );
+      'file' => 'ldap_servers.theme.inc',
+    ],
+  ];
 }
 
+/**
+ * Implements hook_cron().
+ */
+function ldap_servers_cron() {
+  // If any modules implement hook_ldap_servers_user_cron().
+  // user entity query to find most recent 100 entries that have not been processed
+  // query for these and pass to modules implementing hook_ldap_server_maintenance()
+  // update user field to have current date as date most recently checked.
+}
 
-  /**
-    * Implements hook_cron().
-    */
-  function ldap_servers_cron() {
-    // if any modules implement hook_ldap_servers_user_cron().
-    // user entity query to find most recent 100 entries that have not been processed
-    // query for these and pass to modules implementing hook_ldap_server_maintenance()
-    // update user field to have current date as date most recently checked
+/**
+ * Get mixed case match from case insensitive search.
+ *
+ * @param string mixed case $key
+ * @param array mixed case $array
+ *
+ * @return string matching key in mixed case or FALSE
+ */
+function ldap_server_find_key($key, $array) {
+  $keys = array_combine(array_change_key_case($array), $array);
+  if (isset($keys[drupal_strtolower($key)])) {
+    return $keys[drupal_strtolower($key)];
   }
-
-  /** get mixed case match from case insensitive search
-   *
-   * @param string mixed case $key
-   * @param array mixed case $array
-   * @return string matching key in mixed case or FALSE
-   */
-  function ldap_server_find_key($key, $array) {
-    $keys = array_combine(array_change_key_case($array), $array);
-    if (isset($keys[drupal_strtolower($key)])) {
-      return $keys[drupal_strtolower($key)];
-    }
-    else {
-      return FALSE;
-    }
+  else {
+    return FALSE;
   }
+}
 
-  /**
-   * Implements hook_ldap_attributes_needed_alter().
-   */
-  function ldap_servers_ldap_attributes_needed_alter(&$attributes, $params) {
+/**
+ * Implements hook_ldap_attributes_needed_alter().
+ */
+function ldap_servers_ldap_attributes_needed_alter(&$attributes, $params) {
 
-    $attributes['dn'] = ldap_servers_set_attribute_map(@$attributes['dn'], 'ldap_dn'); // force this data type
+  // Force this data type.
+  $attributes['dn'] = ldap_servers_set_attribute_map(@$attributes['dn'], 'ldap_dn');
 
-    if ($params['sid'] && $params['sid']) { // puid attributes are server specific
-      if (is_scalar($params['sid'])) {
-        $ldap_server = ldap_servers_get_servers($params['sid'], 'enabled', TRUE);
-      }
-      else {
-        $ldap_server = $params['sid'];
-      }
-      // mail, unique_persistent_attr, user_attr, mail_template, and user_dn_expression are needed for all functionality
-      if (!isset($attributes[$ldap_server->mail_attr])) {
-        $attributes[$ldap_server->mail_attr] = ldap_servers_set_attribute_map();
-      }
-      if ($ldap_server->picture_attr && !isset($attributes[$ldap_server->picture_attr])) {
-        $attributes[$ldap_server->picture_attr] = ldap_servers_set_attribute_map();
-      }
-      if ($ldap_server->unique_persistent_attr && !isset($attributes[$ldap_server->unique_persistent_attr])) {
-        $attributes[$ldap_server->unique_persistent_attr] = ldap_servers_set_attribute_map();
-      }
-      if ($ldap_server->groupUserMembershipsAttr && !isset($attributes[$ldap_server->groupUserMembershipsAttr])) {
-        $attributes[$ldap_server->groupUserMembershipsAttr] = ldap_servers_set_attribute_map();
-      }
-      if ($ldap_server->user_dn_expression) {
-        ldap_servers_token_extract_attributes($attributes, $ldap_server->user_dn_expression, TRUE);
-      }
-      if ($ldap_server->mail_template) {
-        ldap_servers_token_extract_attributes($attributes, $ldap_server->mail_template);
-      }
-      if (!isset($attributes[$ldap_server->user_attr])) {
-        $attributes[$ldap_server->user_attr] = ldap_servers_set_attribute_map();
-      }
+  // Puid attributes are server specific.
+  if ($params['sid'] && $params['sid']) {
+    if (is_scalar($params['sid'])) {
+      $ldap_server = ldap_servers_get_servers($params['sid'], 'enabled', TRUE);
+    }
+    else {
+      $ldap_server = $params['sid'];
+    }
+    // mail, unique_persistent_attr, user_attr, mail_template, and user_dn_expression are needed for all functionality.
+    if (!isset($attributes[$ldap_server->mail_attr])) {
+      $attributes[$ldap_server->mail_attr] = ldap_servers_set_attribute_map();
+    }
+    if ($ldap_server->picture_attr && !isset($attributes[$ldap_server->picture_attr])) {
+      $attributes[$ldap_server->picture_attr] = ldap_servers_set_attribute_map();
+    }
+    if ($ldap_server->unique_persistent_attr && !isset($attributes[$ldap_server->unique_persistent_attr])) {
+      $attributes[$ldap_server->unique_persistent_attr] = ldap_servers_set_attribute_map();
+    }
+    if ($ldap_server->groupUserMembershipsAttr && !isset($attributes[$ldap_server->groupUserMembershipsAttr])) {
+      $attributes[$ldap_server->groupUserMembershipsAttr] = ldap_servers_set_attribute_map();
+    }
+    if ($ldap_server->user_dn_expression) {
+      ldap_servers_token_extract_attributes($attributes, $ldap_server->user_dn_expression, TRUE);
+    }
+    if ($ldap_server->mail_template) {
+      ldap_servers_token_extract_attributes($attributes, $ldap_server->mail_template);
+    }
+    if (!isset($attributes[$ldap_server->user_attr])) {
+      $attributes[$ldap_server->user_attr] = ldap_servers_set_attribute_map();
     }
   }
-
+}
 
 /**
  * Implements hook_ldap_user_attrs_list_alter().
  */
-
 function ldap_servers_ldap_user_attrs_list_alter(&$available_user_attrs, &$params) {
 
   if (isset($params['ldap_server']) && $params['ldap_server']) {
     $ldap_server = $params['ldap_server'];
   }
   else {
-    return; // without a server id, ldap_servers module has nothing to offer
+    // Without a server id, ldap_servers module has nothing to offer.
+    return;
   }
-  $ldap_user_conf  = $params['ldap_user_conf'];
+  $ldap_user_conf = $params['ldap_user_conf'];
   $direction = $params['direction'];
 
-  $tokens = array(
+  $tokens = [
     '!edit_link' => l($ldap_server->editPath, $ldap_server->editPath),
     '!sid' => $ldap_server->sid,
-  );
+  ];
 
   $server_edit_path = 'admin/config/people/ldap/servers/edit/' . $ldap_server->sid;
 
   if ($direction == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) {
 
     /** these 4 user fields indentify where in ldap and which ldap server they are associated with.
-     they are required for a Drupal account to be "ldap associated" regardless of if any other
-     fields/properties are provisioned or synched
+     * they are required for a Drupal account to be "ldap associated" regardless of if any other
+     * fields/properties are provisioned or synched
     */
 
     if ($ldap_server->unique_persistent_attr) {
-      foreach (array(
+      foreach ([
         'field.ldap_user_puid_sid',
         'field.ldap_user_puid',
         'field.ldap_user_puid_property',
-        ) as $i => $property_id) {
+      ] as $i => $property_id) {
         $property_token = '[' . $property_id . ']';
         if (!isset($available_user_attrs[$property_token]) || !is_array($available_user_attrs[$property_token])) {
-          $available_user_attrs[$property_token] = array();
+          $available_user_attrs[$property_token] = [];
         }
       }
 
-      $available_user_attrs['[field.ldap_user_puid_sid]'] = array(
+      $available_user_attrs['[field.ldap_user_puid_sid]'] = [
         'name' => t('Field: sid providing PUID'),
         'configurable_to_drupal' => 0,
         'configurable_to_ldap' => 1,
@@ -392,12 +401,12 @@ function ldap_servers_ldap_user_attrs_list_alter(&$available_user_attrs, &$param
         'notes' => 'not configurable',
         'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
         'enabled' => TRUE,
-        'prov_events' => array(LDAP_USER_EVENT_CREATE_DRUPAL_USER),
+        'prov_events' => [LDAP_USER_EVENT_CREATE_DRUPAL_USER],
         'config_module' => 'ldap_servers',
         'prov_module' => 'ldap_user',
-      ) + $available_user_attrs['[field.ldap_user_puid_sid]'];
+      ] + $available_user_attrs['[field.ldap_user_puid_sid]'];
 
-      $available_user_attrs['[field.ldap_user_puid]'] = array(
+      $available_user_attrs['[field.ldap_user_puid]'] = [
         'name' => t('Field: PUID', $tokens),
         'configurable_to_drupal' => 0,
         'configurable_to_ldap' => 1,
@@ -406,13 +415,13 @@ function ldap_servers_ldap_user_attrs_list_alter(&$available_user_attrs, &$param
         'convert' => $ldap_server->unique_persistent_attr_binary,
         'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
         'enabled' => TRUE,
-        'prov_events' => array(LDAP_USER_EVENT_CREATE_DRUPAL_USER),
+        'prov_events' => [LDAP_USER_EVENT_CREATE_DRUPAL_USER],
         'config_module' => 'ldap_servers',
         'prov_module' => 'ldap_user',
-      ) + $available_user_attrs['[field.ldap_user_puid]'];
+      ] + $available_user_attrs['[field.ldap_user_puid]'];
 
       $available_user_attrs['[field.ldap_user_puid_property]'] =
-      array(
+      [
         'name' => t('Field: PUID Attribute', $tokens),
         'configurable_to_drupal' => 0,
         'configurable_to_ldap' => 1,
@@ -420,18 +429,18 @@ function ldap_servers_ldap_user_attrs_list_alter(&$available_user_attrs, &$param
         'notes' => 'configure at ' . $server_edit_path,
         'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
         'enabled' => TRUE,
-        'prov_events' => array(LDAP_USER_EVENT_CREATE_DRUPAL_USER),
+        'prov_events' => [LDAP_USER_EVENT_CREATE_DRUPAL_USER],
         'config_module' => 'ldap_servers',
         'prov_module' => 'ldap_user',
-      ) + $available_user_attrs['[field.ldap_user_puid_property]'];
+      ] + $available_user_attrs['[field.ldap_user_puid_property]'];
     }
 
     $token = '[field.ldap_user_current_dn]';
     if (!isset($available_user_attrs[$token]) || !is_array($available_user_attrs[$token])) {
-      $available_user_attrs[$token] = array();
+      $available_user_attrs[$token] = [];
     }
     $available_user_attrs[$token] =
-    array(
+    [
       'name' => t('Field: Most Recent DN', $tokens),
       'configurable_to_drupal' => 0,
       'configurable_to_ldap' => 0,
@@ -439,67 +448,66 @@ function ldap_servers_ldap_user_attrs_list_alter(&$available_user_attrs, &$param
       'notes' => 'not configurable',
       'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
       'enabled' => TRUE,
-      'prov_events' => array(LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER),
+      'prov_events' => [LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER],
       'config_module' => 'ldap_servers',
       'prov_module' => 'ldap_user',
-    ) + $available_user_attrs[$token];
+    ] + $available_user_attrs[$token];
 
     if ($ldap_user_conf->provisionsDrupalAccountsFromLdap) {
       if (!isset($available_user_attrs['[property.name]']) || !is_array($available_user_attrs['[property.name]'])) {
-        $available_user_attrs['[property.name]'] = array();
+        $available_user_attrs['[property.name]'] = [];
       }
-      $available_user_attrs['[property.name]'] = array(
+      $available_user_attrs['[property.name]'] = [
         'name' => 'Property: Username',
         'source' => '[' . $ldap_server->user_attr . ']',
         'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
         'enabled' => TRUE,
-        'prov_events' => array(LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER),
+        'prov_events' => [LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER],
         'config_module' => 'ldap_servers',
         'prov_module' => 'ldap_user',
-      ) + $available_user_attrs['[property.name]'];
+      ] + $available_user_attrs['[property.name]'];
 
       if (!isset($available_user_attrs['[property.mail]']) || !is_array($available_user_attrs['[property.mail]'])) {
-        $available_user_attrs['[property.mail]'] = array();
+        $available_user_attrs['[property.mail]'] = [];
       }
-      $available_user_attrs['[property.mail]'] = array(
+      $available_user_attrs['[property.mail]'] = [
         'name' => 'Property: Email',
         'source' => ($ldap_server->mail_template) ? $ldap_server->mail_template : '[' . $ldap_server->mail_attr . ']',
         'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
         'enabled' => TRUE,
-        'prov_events' => array(LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER),
+        'prov_events' => [LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER],
         'config_module' => 'ldap_servers',
         'prov_module' => 'ldap_user',
-      ) + $available_user_attrs['[property.mail]'];
+      ] + $available_user_attrs['[property.mail]'];
 
       if ($ldap_server->picture_attr) {
         if (!isset($available_user_attrs['[property.picture]']) || !is_array($available_user_attrs['[property.picture]'])) {
-          $available_user_attrs['[property.picture]'] = array();
+          $available_user_attrs['[property.picture]'] = [];
         }
-        $available_user_attrs['[property.picture]'] = array(
-            'name' => 'Property: Picture',
-            'source' => '[' . $ldap_server->picture_attr . ']',
-            'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
-            'enabled' => TRUE,
-            'prov_events' => array(LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER),
-            'config_module' => 'ldap_servers',
-            'prov_module' => 'ldap_user',
-        ) + $available_user_attrs['[property.picture]'];
+        $available_user_attrs['[property.picture]'] = [
+          'name' => 'Property: Picture',
+          'source' => '[' . $ldap_server->picture_attr . ']',
+          'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
+          'enabled' => TRUE,
+          'prov_events' => [LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER],
+          'config_module' => 'ldap_servers',
+          'prov_module' => 'ldap_user',
+        ] + $available_user_attrs['[property.picture]'];
       }
     }
   }
 }
 
 /**
- * flush server static cache
+ * Flush server static cache.
  */
-
 function ldap_servers_flush_server_cache() {
-  $discard = ldap_servers_get_servers(NULL, 'all', FALSE, TRUE); // flush server cache
+  // Flush server cache.
+  $discard = ldap_servers_get_servers(NULL, 'all', FALSE, TRUE);
 }
 
-
 /**
- * function to replace module_load_include such that when
+ * Function to replace module_load_include such that when
  * something is not included, drupal will exit instead
  * of attempting something half baked.
  */
@@ -512,15 +520,19 @@ function ldap_servers_module_load_include($type, $module, $name = NULL) {
 }
 
 /**
+ * Return ldap server conf objects.
  *
- * return ldap server conf objects
+ * @param string $sid
+ * @param string $type
+ *   All', 'enabled'.
+ * @param bool $flatten
+ *   signifies if array or single object returned.  Only works if sid is specified.
+ * @param bool $reset
+ *   do not use cached or static result.
  *
- * @param alphanum $sid
- * @param enum $type 'all', 'enabled',
- * @param boolean $flatten signifies if array or single object returned.  Only works if sid is specified
- * @param boolean $reset do not use cached or static result
- * @return - array of server conf object keyed on sid
- *         - single server conf object (if flatten == TRUE)
+ * @return array
+ *   Of server conf object keyed on sid
+ *   - single server conf object (if flatten == TRUE)
  */
 function ldap_servers_get_servers($sid = NULL, $type = NULL, $flatten = FALSE, $reset = FALSE) {
   if (variable_get('ldap_simpletest', FALSE)) {
@@ -531,23 +543,22 @@ function ldap_servers_get_servers($sid = NULL, $type = NULL, $flatten = FALSE, $
   }
 }
 
-
 /**
- * see ldap_servers_get_servers()
+ * See ldap_servers_get_servers()
  */
 function _ldap_servers_get_servers($sid, $type, $flatten, $reset) {
   ldap_servers_module_load_include('php', 'ldap_servers', 'LdapServerAdmin.class');
   static $servers;
   $type = ($type) ? $type : 'all';
   if ($reset) {
-    $servers = array();
+    $servers = [];
   }
   if (!isset($servers['all'])) {
     $servers['all'] = LdapServerAdmin::getLdapServerObjects('all', NULL, 'LdapServer', $reset);
   }
 
   if (!isset($servers['enabled'])) {
-    $servers['enabled'] = array();
+    $servers['enabled'] = [];
     foreach ($servers['all'] as $_sid => $ldap_server) {
       if ($ldap_server->status == 1) {
         $servers['enabled'][$_sid] = $ldap_server;
@@ -559,7 +570,7 @@ function _ldap_servers_get_servers($sid, $type, $flatten, $reset) {
     if (!isset($servers[$type][$sid])) {
       return FALSE;
     }
-    return ($flatten) ? $servers[$type][$sid] : array($sid => $servers[$type][$sid]);
+    return ($flatten) ? $servers[$type][$sid] : [$sid => $servers[$type][$sid]];
   }
 
   if (isset($servers[$type])) {
@@ -568,7 +579,7 @@ function _ldap_servers_get_servers($sid, $type, $flatten, $reset) {
 }
 
 /**
- * see ldap_servers_get_servers()
+ * See ldap_servers_get_servers()
  */
 function _ldap_servers_get_simpletest_servers($sid, $type = NULL, $flatten, $reset = TRUE) {
 
@@ -576,7 +587,9 @@ function _ldap_servers_get_simpletest_servers($sid, $type = NULL, $flatten, $res
     $type = 'all';
   }
 
-  //two flavors of mock servers exist.  ultimately v2 will be used in all simpletests
+  $servers = [];
+
+  // Two flavors of mock servers exist.  ultimately v2 will be used in all simpletests.
   if (variable_get('ldap_simpletest', 0) == 2) {
     ldap_servers_module_load_include('php', 'ldap_test', 'LdapServerTest.class');
     $servers['all'] = LdapServerTest::getLdapServerObjects(NULL, 'all', FALSE);
@@ -591,13 +604,17 @@ function _ldap_servers_get_simpletest_servers($sid, $type = NULL, $flatten, $res
     if (!isset($servers[$type][$sid])) {
       return FALSE;
     }
-    return ($flatten) ? $servers[$type][$sid] : array($sid => $servers[$type][$sid]);
+    return ($flatten) ? $servers[$type][$sid] : [$sid => $servers[$type][$sid]];
   }
 
   if (isset($servers[$type])) {
     return $servers[$type];
   }
 }
+
+/**
+ *
+ */
 function ldap_servers_debug($variable) {
   if (variable_get('ldap_simpletest', FALSE) && function_exists('dpm')) {
     dpm($variable);
@@ -606,6 +623,10 @@ function ldap_servers_debug($variable) {
     debug($variable);
   }
 }
+
+/**
+ *
+ */
 function ldap_servers_cache_clear() {
   $discard = ldap_servers_get_servers(NULL, 'all', FALSE, TRUE);
   if (module_exists('ctools')) {
